PHP & RoR, säkerhetsuppdateringar

Vi har idag uppdaterat samtliga versioner av PHP och Ruby on Rails hos oss, pga nyupptäckta säkerhetshål i dessa språk/ramverk. Uppdateringen är redan genomförd på samtliga Linux-baserade webbservrar hos oss, utan att ha påverkat några tjänster för våra kunder.

Här är lite mer information om dessa uppdateringar:

– Uppdatering av PHP

Vi kör nu PHP 5.3.26 och 5.4.16 samt 5.5.0 RC3. Dessa nya versioner åtgärdar ca 15 buggar inklusive ett lite allvarligare säkerhetshål (CVE-2013-2110). PHP 5.4.* har nu även fått stöd för modulen Imagick.

Läs gärna mer hos PHP: PHP 5.4.16 and PHP 5.3.26 released!

– Uppdatering av Ruby on Rails

Vi har installerat Ruby on Rails versioner 3.2.13, 3.1.12, 3.0.20 och 2.3.18. Vid nästa planerade servicefönster (tisdag 2/7) kommer versionerna 3.2.11, 3.1.10, 3.0.19 och 2.3.15 att tas bort. Kunder som kör RoR hos oss bör skyndsamt uppdatera sina applikationer till att använda dessa nya versioner.

Läs gärna mer hos RoR: Rails 3.2.13, 3.1.12 and 2.3.18 have been released!

Uppdateringarna ska vara fullt bakåtkompatibla och inte påverka våra kunders tjänster/applikationer. Om ni ändå upptäcker ett fel i samband med detta, kontakta gärna vår kundtjänst. Ni kan givetvis även lämna en kommentar här nedan om ni har några frågor eller funderingar kring detta.

You Might Also Like
Lämna ett svar